codebase="hhctrl.ocx#Version=4,73,8561,0"> codebase="hhctrl.ocx#Version=4,73,8561,0" > codebase="hhctrl.ocx#Version=4,73,8561,0" >
 
  Arc object

A circular arc.

VBA class name:

AcadArc 

Create using:

ModelSpace.AddArc
PaperSpace.AddArc
Block.AddArc 

Access via:

ModelSpace.Item
PaperSpace.Item
Block.Item
SelectionSet.Item
Group.Item 

An arc is always drawn counterclockwise from the start point to the endpoint. The StartPoint and EndPoint properties of an arc are calculated through the StartAngle, EndAngle, and Radius properties.

 

Center StartPoint 

 



Radius 

 


EndAngle

StartAngle



EndPoint
 

To create an arc, use the AddArc method. To edit or query an arc, use the following methods and properties:

Methods

ArrayPolar

ArrayRectangular

Copy

Delete

GetBoundingBox

GetExtensionDictionary

GetXData

Highlight

IntersectWith

Mirror

Mirror3D

Move

Offset

Rotate

Rotate3D

ScaleEntity

SetXData

TransformBy

Update  

Properties

Application

ArcLength

Area

Center

Document

EndAngle

EndPoint

Handle

HasExtensionDictionary

Hyperlinks

Layer

Linetype

LinetypeScale

Lineweight

Normal

ObjectID

ObjectName

OwnerID

PlotStyleName

Radius

StartAngle

StartPoint

Thickness

TotalAngle

TrueColor

Visible  

Events

Modified  

 

   Comments?